> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/menu/actions.md).

# Actions

User manual for Servoy Developer Actions Menu items

## Overview

This menu item contains all Actions related commands.

## Commands Summary

A summary of commands available via clicking on this menu item:

| Command                                                             | Summary                                                                                                          |
| ------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| [Show Externalize Strings Dialog](#show-externalize-strings-dialog) | Opens the [Externalize Strings](/reference/servoy-developer/object-editors/externalize-strings-wizard.md) wizard |
| [Show I18N Dialog](#show-i18n-dialog)                               | Opens the [i18n editor](/reference/servoy-developer/object-editors/i18n-editor.md)                               |

## Commands Details

The details for each command available via clicking on this menu item:

### Show Externalize Strings Dialog

Opens the [Externalize Strings](/reference/servoy-developer/object-editors/externalize-strings-wizard.md) wizard.

### Show I18N Dialog

Opens the [i18n editor](/reference/servoy-developer/object-editors/i18n-editor.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/menu/actions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
